clear all; clc; close all;
aux=[-0.75, -0.5, -0.25, 0, 0.25, 0.5, 0.75];
lambda_0 = 2;
n_0=2;
I_0=200;
j=2;

% create a default color map ranging from red to light pink
lengthvector = 5;
blue = [0 0 1];
red = [1 0 0];
black= [0 0 0];
colorvector = zeros(7, 3);

lengthvector = 4;
colorvectorBlues = colorbrewer(lengthvector, 'Blues');
colorvectorReds = colorbrewer(lengthvector, 'Reds');

for j=1:3
    if j==1 || j==3
        p=4:7;
        colorvector(7:-1:4, :) = colorvectorReds;
    elseif j==2
        p=1:4;
        colorvector(1:4,:) = colorvectorBlues;
    else
        sprintf('choose j=1, j=2, or j=3')
        return
    end
    colorvector(4,:)=[0 0 0];
    for i=p
        if j ==1
            lambda = lambda_0 + lambda_0*aux(i);
            n=n_0;
        elseif j==2
            lambda = lambda_0 + lambda_0*aux(i);
            n=5;
        elseif j==3
            n= 5+5*aux(i);
            lambda=lambda_0;
        else
            sprintf('choose j=1, j=2, or j=3');
            return
        end
        
        x=0:350;
        y=lambda + (1-lambda)./(1+(x/I_0).^n);
        subplot(1,3,j)
        if i==4
            plot(x,y,'--k','LineWidth', 2)
        else
            plot(x,y,'Color',colorvector(i,:),'LineWidth', 2)
        end
        if j==1
            axis([0 350 0.985 3.00])
        elseif j==2
            axis([0 350 0.5 2])
        else
            axis([0 350 0.985 2.00])
        end
        hold on
    end
    hold off 
    xlabel('I')
    if j==1
        ylabel('H^s(I,\lambda_N, n_N)')
    elseif j==2
        ylabel('H^s(I, \lambda_J, n_J)')
    else
        ylabel('H^s(I, \lambda_J, n_J)')
    end
    set(gca, 'Fontsize', 20, 'linewidth', 2)
    if j==1
        title('\lambda_N','Fontsize',24)
    elseif j==2
        title('\lambda_J','Fontsize',24)
    else
        title('n_J','Fontsize',24)
    end
    xticks(0:100:300)
    %xticklabels({'1'})
    %yticks([0,0.25, 0.5, 0.75, 1])
    %yticklabels({'0','25','50','75','100'})
    if j==1
        legend({'\lambda_N=2.0', '\lambda_N=2.5', '\lambda_N=3.0', '\lambda_N=3.5'},'Location','NorthWest')
    elseif j==2
        legend({'\lambda_J=0.5', '\lambda_J=1.0', '\lambda_J=1.5', '\lambda_J=2.0'},'Location','NorthWest')
    else
        legend({'n_J=5.00', 'n_J=6.25', 'n_J=7.50', 'n_J=8.75'},'Location','NorthWest')
    end
    box off
end
%title('Shifted Hill-function with parameter variations')